FTPStore (Document Site Generator 2.0.1 API)
Date: 2007-09-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.docsite.store
Class FTPStore

    java.lang.Object
      local.tomas.docsite.store.FTPStore

All Implemented Interfaces:
  DocsiteSource, DocsiteTarget

    public class FTPStore

extends java.lang.Object
implements DocsiteTarget, DocsiteSource

Nested Class Summary
`static class` | `FTPStore.Options`

Constructor Summary
`FTPStore(FTPStore.Options options)`

Method Summary
`void` | `close()`
`java.io.PrintWriter` | `createDocument(java.lang.String name)`
`void` | `createDocumentFromStream(java.lang.String name, java.io.InputStream stream)`
`DocsiteTarget` | `createTargetFolder(java.lang.String name)`
`boolean` | `exists(java.lang.String fileName)`
`DocsiteSource` | `getSourceFolder(java.lang.String name)`
`DocsiteTarget` | `getTargetFolder(java.lang.String name)`
`protected void` | `goHome()`
`boolean` | `hasFolder(java.lang.String folderName)`
`java.io.InputStream` | `openDocument(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTPStore

    public FTPStore(FTPStore.Options options)
             throws java.io.IOException,
                    com.enterprisedt.net.ftp.FTPException

Throws:
  `java.io.IOException`
  `com.enterprisedt.net.ftp.FTPException`

Method Detail

### goHome

    protected void goHome()

### createDocument

    public java.io.PrintWriter createDocument(java.lang.String name)
                                       throws java.lang.Exception

  Specified by:
    `createDocument` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createDocumentFromStream

    public void createDocumentFromStream(java.lang.String name,
                                         java.io.InputStream stream)
                                  throws java.lang.Exception

  Specified by:
    `createDocumentFromStream` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### createTargetFolder

    public DocsiteTarget createTargetFolder(java.lang.String name)
                                     throws java.lang.Exception

  Specified by:
    `createTargetFolder` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### exists

    public boolean exists(java.lang.String fileName)

  Specified by:
    `exists` in interface `DocsiteTarget`

### getSourceFolder

    public DocsiteSource getSourceFolder(java.lang.String name)
                                  throws java.lang.Exception

  Specified by:
    `getSourceFolder` in interface `DocsiteSource`
  Throws:
    `java.lang.Exception`

### getTargetFolder

    public DocsiteTarget getTargetFolder(java.lang.String name)
                                  throws java.lang.Exception

  Specified by:
    `getTargetFolder` in interface `DocsiteTarget`
  Throws:
    `java.lang.Exception`

### hasFolder

    public boolean hasFolder(java.lang.String folderName)

  Specified by:
    `hasFolder` in interface `DocsiteTarget`

### close

    public void close()

  Specified by:
    `close` in interface `DocsiteSource`
  Specified by:
    `close` in interface `DocsiteTarget`

### openDocument

    public java.io.InputStream openDocument(java.lang.String name)
                                     throws java.lang.Exception

  Specified by:
    `openDocument` in interface `DocsiteSource`
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Tomas Teubner. All Rights Reserved.